Bug 428844 - selinux prevents kdm /var/log/kdm.log [NEEDINFO]
selinux prevents kdm /var/log/kdm.log
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 11:17 EST by Juha Tuomala
Modified: 2009-01-09 02:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:35:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: needinfo? (tuju)


Attachments (Terms of Use)

  None (edit)
Description Juha Tuomala 2008-01-15 11:17:55 EST
Now when selinux alert applet works on KDE too, these keep coming.

Description of problem:

Source Context:  system_u:system_r:pam_console_t:s0-s0:c0.c1023
Target Context:  unconfined_u:object_r:var_log_t:s0
Target Objects:  /var/log/kdm.log [ file ]
Affected RPM Packages:  
Policy RPM:  selinux-policy-3.0.8-72.fc8
Selinux Enabled:  True
Policy Type:  targetedMLS 
Enabled:  True
Enforcing Mode:  Enforcing
Plugin Name:  plugins.mislabeled_file
Host Name:  xxxxxx 
Platform:  Linux xxxxxxx 2.6.23.8-63.fc8 #1 SMP Wed Nov 21 17:56:40 EST 2007 
x86_64 x86_64
Alert Count:  2
First Seen:  Tue 01 Jan 2008 03:10:47 PM EET
Last Seen:  Tue 01 Jan 2008 03:10:54 PM EET
Local ID:  f58e03d7-b453-42ea-b8dd-5ff1e498be17
Line Numbers:  


Raw Audit Messages 


:avc: denied { append } for comm=pam_console_app dev=sda3 
path=/var/log/kdm.log pid=3356 
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023 tclass=file 
tcontext=unconfined_u:object_r:var_log_t:s0 


Version-Release number of selected component (if applicable):

rpm -qf `which kdm`
kdebase-3.5.8-9.fc8
Comment 1 Bug Zapper 2008-11-26 04:26:47 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Rex Dieter 2008-11-26 08:31:50 EST
I can't reproduce.  Try
touch /.autorelabel
reboot
and see if problem persists.
Comment 3 Bug Zapper 2009-01-09 02:35:41 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.